artdaq - Feature #24314

Inform RoutingMaster that no more ack messages are forthcoming
04/14/2020 11:32 AM - Eric Flumerfelt

Status: Closed Start date: 04/14/2020
Priority: Normal Due date:

Assignee: Eric Flumerfelt % Done: 0%
Category: Additional Functionality Estimated time: 0.00 hour
Target version: artdaq v3_09_00

Experiment: - Co-Assignees:

Description

During the stop transition workflow, the BoardReaders receive the transition first, which causes them to stop responding to table
updates from the RoutingMaster. The RoutingMaster will then start logging warning messages about not receiving all acks until it is
eventually stopped, which can take a while (#24262). To reduce this logging traffic, BoardReaders should send one last ack packet
to the RoutingMaster that includes magic words to indicate the end of data so that the RoutingMaster can stop expecting acks from
the BoardReader.

History

#1 - 04/14/2020 11:36 AM - Eric Flumerfelt
- Assignee set to Eric Flumerfelt
- Status changed from New to Resolved

- Category set to Additional Functionality

Resolved with 35be4e24 to artdaq:feature/24314_EndOfDataRoutingAckPacket

#2 - 07/24/2020 02:12 PM - Eric Flumerfelt
- Target version set to artdaq v3_09_00

- Status changed from Resolved to Closed
